# 硬件云平台及硬件SDK集成指南

## 概述 ##
硬件平台是由太川提供硬件设备及其SDK、硬件平台Launcher，第三方开发者自行定制开发门禁系统APK。 
## 使用 ##

#### 首次使用 #####
首次使用设备进入硬件平台Launcher界面，进入设备二维码界面，扫描二维码将设备绑定第三方开发者应用下，设备将获取到开发者平台上签名的APK ，选择APK安装。
####再次使用####
设备会记住首次使用的应用包名，设备启动后直接由Launcher跳转进入此包名APP。如需重新选择APP，请使用重置设备方法。（注意：如非法卸载APP ， 则无法进入此包名APP ，设备会停留在Launcher界面，无法使用）。
##集成指南##
###SDK集成###
SDK分为硬件串口SDK（Serialport）和硬件云SDK(Hardware)；硬件串口SDK为设备硬件控制SDK，集成后可通过SDK提供的方法控制设备开锁、闪光灯开关、蜂鸣器、门检、防拆状态监听等；硬件云SDK为智能门禁SDK，包含与硬件云平台建立连接，硬件云平台数据推送、远程开锁等功能；硬件串口SDK可单独集成使用，硬件云SDK基于硬件串口SDK，不可单独集成使用。
###第三方应用APK集成###
- 根据需求选择性集成SDK包。
- APP AndroidManifest 主入口Activity（启动APP的第一个页面）需集成如下代码。


	<intent-filter>
	    <action android:name="com.taichuan.iot.intent.action.launcher.MAIN" />
	    <category android:name="android.intent.category.DEFAULT" />
	    <data
	        android:host="iot.taichuan.com"
	        android:scheme="hardwareplatform" />
	</intent-filter>


- 重置设备

	
	Intent intent = new Intent("com.taichuan.iot.intent.action.launcher.LAUNCHER");
	intent.setPackage("com.taichuan.hardwarelauncher");
	intent.setData(Uri.parse("hardwareplatform://iot.taichuan.com/reset"));
	startActivity(intent);

